| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
THM1176MeasureImmediateTiming.cpp File Reference

Measure the time/measurement of the THM1176 in Immediate trigger mode. More...

`#include <stdio.h>`
`#include "THM1176.h"`
`#include "VISAInstrument.h"`
`#include "Exception.h"`
`#include "Helpers.h"`
Include dependency graph for THM1176MeasureImmediateTiming.cpp:

Go to the source code of this file.

## Macros
#define | THM1176_VISA_RESOURCE_PATTERN "USB[0-9]*::0x1BFA::0x0498::[0-9]+::INSTR"
#define | THM1176_CONNECT_TIMEOUT 5000
#define | BLOCK_SIZE_MIN 256
#define | BLOCK_SIZE_MAX 4096
#define | BLOCK_SIZE_INC 256
#define | AVERAGING_COUNT_MIN 100
#define | AVERAGING_COUNT_MAX 1000
#define | AVERAGING_COUNT_INC 100

## Functions
U64 | MeasureImmediateTiming (CTHM1176Instrument< CVISAInstrument, CVISAResourceManager > *pTHM1176, U16 BlockSize, U16 AveragingCount)
int | main (void)

## Detailed Description

Measure the time/measurement of the THM1176 in Immediate trigger mode.

Definition in file THM1176MeasureImmediateTiming.cpp.

## Macro Definition Documentation

## ◆ AVERAGING_COUNT_INC

#define AVERAGING_COUNT_INC 100

Definition at line 34 of file THM1176MeasureImmediateTiming.cpp.

## ◆ AVERAGING_COUNT_MAX

#define AVERAGING_COUNT_MAX 1000

Definition at line 33 of file THM1176MeasureImmediateTiming.cpp.

## ◆ AVERAGING_COUNT_MIN

#define AVERAGING_COUNT_MIN 100

Definition at line 32 of file THM1176MeasureImmediateTiming.cpp.

## ◆ BLOCK_SIZE_INC

#define BLOCK_SIZE_INC 256

Definition at line 30 of file THM1176MeasureImmediateTiming.cpp.

## ◆ BLOCK_SIZE_MAX

#define BLOCK_SIZE_MAX 4096

Definition at line 29 of file THM1176MeasureImmediateTiming.cpp.

## ◆ BLOCK_SIZE_MIN

#define BLOCK_SIZE_MIN 256

Definition at line 28 of file THM1176MeasureImmediateTiming.cpp.

## ◆ THM1176_CONNECT_TIMEOUT

#define THM1176_CONNECT_TIMEOUT 5000

Definition at line 26 of file THM1176MeasureImmediateTiming.cpp.

## ◆ THM1176_VISA_RESOURCE_PATTERN

#define THM1176_VISA_RESOURCE_PATTERN "USB[0-9]*::0x1BFA::0x0498::[0-9]+::INSTR"

Definition at line 25 of file THM1176MeasureImmediateTiming.cpp.

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Definition at line 75 of file THM1176MeasureImmediateTiming.cpp.

## ◆ MeasureImmediateTiming()

U64 MeasureImmediateTiming | ( | CTHM1176Instrument< CVISAInstrument, CVISAResourceManager > * | pTHM1176,
|  | U16 | BlockSize,
|  | U16 | AveragingCount )

Definition at line 41 of file THM1176MeasureImmediateTiming.cpp.